<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>FBBackupManagerBase (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBBackupManagerBase (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":6,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBBackupManagerBase.html" target="_top">Frames</a></li>
<li><a href="FBBackupManagerBase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Class FBBackupManagerBase" class="title">Class FBBackupManagerBase</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">org.firebirdsql.management.FBServiceManager</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.management.FBBackupManagerBase</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management">FBBackupManager</a>, <a href="../../../org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management">FBStreamingBackupManager</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">FBBackupManagerBase</span>
extends <a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a>
implements <a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></pre>
<div class="block">Implements the common functionality between regular and streaming backup/restore</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management">FBBackupManagerBase.PathSizeStruct</a></span></code>
<div class="block">Structure that holds path to the database and corresponding size of the file (in case of backup - that is
 size of the file in megabytes, in case of restore - size of the database file in pages).</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#noLimitRestore">noLimitRestore</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management">FBBackupManagerBase.PathSizeStruct</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#restorePaths">restorePaths</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#verbose">verbose</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/FBServiceManager.html#BUFFER_SIZE">BUFFER_SIZE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.management.BackupManager">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></h3>
<code><a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_CONVERT">BACKUP_CONVERT</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_EXPAND">BACKUP_EXPAND</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_IGNORE_CHECKSUMS">BACKUP_IGNORE_CHECKSUMS</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_IGNORE_LIMBO">BACKUP_IGNORE_LIMBO</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_METADATA_ONLY">BACKUP_METADATA_ONLY</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_NO_GARBAGE_COLLECT">BACKUP_NO_GARBAGE_COLLECT</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_NON_TRANSPORTABLE">BACKUP_NON_TRANSPORTABLE</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#BACKUP_OLD_DESCRIPTIONS">BACKUP_OLD_DESCRIPTIONS</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_DEACTIVATE_INDEX">RESTORE_DEACTIVATE_INDEX</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_NO_SHADOW">RESTORE_NO_SHADOW</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_NO_VALIDITY">RESTORE_NO_VALIDITY</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_ONE_AT_A_TIME">RESTORE_ONE_AT_A_TIME</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#RESTORE_USE_ALL_SPACE">RESTORE_USE_ALL_SPACE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#FBBackupManagerBase--">FBBackupManagerBase</a></span>()</code>
<div class="block">Create a new instance of <code>FBBackupManagerBase</code> based on the default GDSType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#FBBackupManagerBase-org.firebirdsql.gds.impl.GDSType-">FBBackupManagerBase</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBBackupManagerBase</code> based on a given GDSType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#FBBackupManagerBase-java.lang.String-">FBBackupManagerBase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBBackupManagerBase</code> based on a given GDSType.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#addBackupPath-java.lang.String-">addBackupPath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Add backup file to the list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#addBackupsToBackupRequestBuffer-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">addBackupsToBackupRequestBuffer</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                               <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;backupSPB)</code>
<div class="block">Adds the backup source for the backup opration, depending on the manager used</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#addBackupsToRestoreRequestBuffer-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">addBackupsToRestoreRequestBuffer</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;restoreSPB)</code>
<div class="block">Adds the backup files to be used during restore</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#addRestorePath-java.lang.String-int-">addRestorePath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
              int&nbsp;size)</code>
<div class="block">Add the file to the multi-file database of the specified size for restore
 operation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#backupDatabase--">backupDatabase</a></span>()</code>
<div class="block">Perform the backup operation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#backupMetadata--">backupMetadata</a></span>()</code>
<div class="block">Perform the backup operation, metadata only.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#clearRestorePaths--">clearRestorePaths</a></span>()</code>
<div class="block">Clear the information about restore paths.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#getBackupSRB-org.firebirdsql.gds.ng.FbService-int-">getBackupSRB</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
            int&nbsp;options)</code>
<div class="block">Creates and returns the "backup" service request buffer for the Service Manager.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#getRestoreSRB-org.firebirdsql.gds.ng.FbService-int-">getRestoreSRB</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
             int&nbsp;options)</code>
<div class="block">Creates and returns the "backup" service request buffer for the Service Manager.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#restoreDatabase--">restoreDatabase</a></span>()</code>
<div class="block">Perform the restore operation.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#setDatabase-java.lang.String-">setDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</code>
<div class="block">Sets the database path for the connection to the service manager.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#setRestorePageBufferCount-int-">setRestorePageBufferCount</a></span>(int&nbsp;bufferCount)</code>
<div class="block">Set the default number of pages to be buffered (cached) by default in a restored database.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#setRestorePageSize-int-">setRestorePageSize</a></span>(int&nbsp;pageSize)</code>
<div class="block">Set the page size that will be used for a restored database.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#setRestoreReadOnly-boolean-">setRestoreReadOnly</a></span>(boolean&nbsp;readOnly)</code>
<div class="block">Set the read-only attribute on a restored database.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#setRestoreReplace-boolean-">setRestoreReplace</a></span>(boolean&nbsp;replace)</code>
<div class="block">Set the restore operation to create a new database, as opposed to overwriting an existing database.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#setVerbose-boolean-">setVerbose</a></span>(boolean&nbsp;verbose)</code>
<div class="block">Set whether the operations of this <code>BackupManager</code> will result in verbose logging to the configured logger.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>protected abstract boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBBackupManagerBase.html#verboseBackup--">verboseBackup</a></span>()</code>
<div class="block">Whether the backup will produce verbose output</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.FBServiceManager">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/FBServiceManager.html#attachDatabase--">attachDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#attachServiceManager--">attachServiceManager</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#createRequestBuffer-org.firebirdsql.gds.ng.FbService-int-int-">createRequestBuffer</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getServiceName--">getServiceName</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#queueService-org.firebirdsql.gds.ng.FbService-">queueService</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.BackupManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></h3>
<code><a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-">addBackupPath</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#backupDatabase-int-">backupDatabase</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#clearBackupPaths--">clearBackupPaths</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#restoreDatabase-int-">restoreDatabase</a>, <a href="../../../org/firebirdsql/management/BackupManager.html#setBackupPath-java.lang.String-">setBackupPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.ServiceManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="noLimitRestore">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noLimitRestore</h4>
<pre>protected&nbsp;boolean noLimitRestore</pre>
</li>
</ul>
<a name="restorePaths">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restorePaths</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management">FBBackupManagerBase.PathSizeStruct</a>&gt; restorePaths</pre>
</li>
</ul>
<a name="verbose">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>verbose</h4>
<pre>protected&nbsp;boolean verbose</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBBackupManagerBase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBBackupManagerBase</h4>
<pre>public&nbsp;FBBackupManagerBase()</pre>
<div class="block">Create a new instance of <code>FBBackupManagerBase</code> based on the default GDSType.</div>
</li>
</ul>
<a name="FBBackupManagerBase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBBackupManagerBase</h4>
<pre>public&nbsp;FBBackupManagerBase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBBackupManagerBase</code> based on a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type must be PURE_JAVA, EMBEDDED, or NATIVE</dd>
</dl>
</li>
</ul>
<a name="FBBackupManagerBase-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBBackupManagerBase</h4>
<pre>public&nbsp;FBBackupManagerBase(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBBackupManagerBase</code> based on a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type must be PURE_JAVA, EMBEDDED, or NATIVE</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addBackupPath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBackupPath</h4>
<pre>public&nbsp;void&nbsp;addBackupPath(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-">BackupManager</a></code></span></div>
<div class="block">Add backup file to the list. This method is used only during restoring
 the database to specify multi-file backups. The call is equivalent to
 passing the size -1 to <a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-int-"><code>BackupManager.addBackupPath(String, int)</code></a> call.
 <p>
 If application invokes backup operation, an error is generated in that
 call.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#addBackupPath-java.lang.String-">addBackupPath</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the backup file.</dd>
</dl>
</li>
</ul>
<a name="setDatabase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabase</h4>
<pre>public&nbsp;void&nbsp;setDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">ServiceManager</a></code></span></div>
<div class="block">Sets the database path for the connection to the service manager.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#setDatabase-java.lang.String-">setDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">setDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBServiceManager.html#setDatabase-java.lang.String-">setDatabase</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - path for the connection to the service manager.</dd>
</dl>
</li>
</ul>
<a name="addRestorePath-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRestorePath</h4>
<pre>public&nbsp;void&nbsp;addRestorePath(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                           int&nbsp;size)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html#addRestorePath-java.lang.String-int-">BackupManager</a></code></span></div>
<div class="block">Add the file to the multi-file database of the specified size for restore
 operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#addRestorePath-java.lang.String-int-">addRestorePath</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the backup file.</dd>
<dd><code>size</code> - max size of the database file in pages.</dd>
</dl>
</li>
</ul>
<a name="clearRestorePaths--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearRestorePaths</h4>
<pre>public&nbsp;void&nbsp;clearRestorePaths()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html#clearRestorePaths--">BackupManager</a></code></span></div>
<div class="block">Clear the information about restore paths. This method undoes all
 parameters set in the <a href="../../../org/firebirdsql/management/BackupManager.html#addRestorePath-java.lang.String-int-"><code>BackupManager.addRestorePath(String, int)</code></a> or
 <a href="../../../org/firebirdsql/management/BackupManager.html#setDatabase-java.lang.String-"><code>BackupManager.setDatabase(String)</code></a> methods.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#clearRestorePaths--">clearRestorePaths</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
</dl>
</li>
</ul>
<a name="backupDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backupDatabase</h4>
<pre>public&nbsp;void&nbsp;backupDatabase()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html#backupDatabase--">BackupManager</a></code></span></div>
<div class="block">Perform the backup operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#backupDatabase--">backupDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the backup</dd>
</dl>
</li>
</ul>
<a name="backupMetadata--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backupMetadata</h4>
<pre>public&nbsp;void&nbsp;backupMetadata()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html#backupMetadata--">BackupManager</a></code></span></div>
<div class="block">Perform the backup operation, metadata only.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#backupMetadata--">backupMetadata</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the backup</dd>
</dl>
</li>
</ul>
<a name="getBackupSRB-org.firebirdsql.gds.ng.FbService-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBackupSRB</h4>
<pre>protected&nbsp;<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;getBackupSRB(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                            int&nbsp;options)
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates and returns the "backup" service request buffer for the Service Manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>service</code> - Service handle</dd>
<dd><code>options</code> - The isc_spb_bkp_* parameters options to be used</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the "backup" service request buffer for the Service Manager.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="restoreDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreDatabase</h4>
<pre>public&nbsp;void&nbsp;restoreDatabase()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html#restoreDatabase--">BackupManager</a></code></span></div>
<div class="block">Perform the restore operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#restoreDatabase--">restoreDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs during the restore</dd>
</dl>
</li>
</ul>
<a name="setVerbose-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVerbose</h4>
<pre>public&nbsp;void&nbsp;setVerbose(boolean&nbsp;verbose)</pre>
<div class="block">Set whether the operations of this <code>BackupManager</code> will result in verbose logging to the configured logger.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#setVerbose-boolean-">setVerbose</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>verbose</code> - If <code>true</code>, operations will be logged verbosely, otherwise they will not be logged verbosely</dd>
</dl>
</li>
</ul>
<a name="setRestorePageBufferCount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestorePageBufferCount</h4>
<pre>public&nbsp;void&nbsp;setRestorePageBufferCount(int&nbsp;bufferCount)</pre>
<div class="block">Set the default number of pages to be buffered (cached) by default in a restored database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#setRestorePageBufferCount-int-">setRestorePageBufferCount</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bufferCount</code> - The page-buffer size to be used, a positive value</dd>
</dl>
</li>
</ul>
<a name="setRestorePageSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestorePageSize</h4>
<pre>public&nbsp;void&nbsp;setRestorePageSize(int&nbsp;pageSize)</pre>
<div class="block">Set the page size that will be used for a restored database. The value for <code>pageSize</code> must be
 one of <a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a>. The default value depends on the Firebird version.
 <p>
 Be aware that not all page sizes are supported by all Firebird versions.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#setRestorePageSize-int-">setRestorePageSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageSize</code> - The page size to be used in a restored database, see <a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a></dd>
</dl>
</li>
</ul>
<a name="setRestoreReplace-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestoreReplace</h4>
<pre>public&nbsp;void&nbsp;setRestoreReplace(boolean&nbsp;replace)</pre>
<div class="block">Set the restore operation to create a new database, as opposed to overwriting an existing database. This is true
 by default.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#setRestoreReplace-boolean-">setRestoreReplace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>replace</code> - If <code>true</code>, the restore operation will attempt to create a new database, otherwise
        the restore operation will overwrite an existing database</dd>
</dl>
</li>
</ul>
<a name="setRestoreReadOnly-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRestoreReadOnly</h4>
<pre>public&nbsp;void&nbsp;setRestoreReadOnly(boolean&nbsp;readOnly)</pre>
<div class="block">Set the read-only attribute on a restored database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/BackupManager.html#setRestoreReadOnly-boolean-">setRestoreReadOnly</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>readOnly</code> - If <code>true</code>, a restored database will be read-only, otherwise it will be read-write.</dd>
</dl>
</li>
</ul>
<a name="getRestoreSRB-org.firebirdsql.gds.ng.FbService-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRestoreSRB</h4>
<pre>protected&nbsp;<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;getRestoreSRB(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                             int&nbsp;options)</pre>
<div class="block">Creates and returns the "backup" service request buffer for the Service Manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>service</code> - Service handle</dd>
<dd><code>options</code> - The options to be used for the backup operation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the "backup" service request buffer for the Service Manager.</dd>
</dl>
</li>
</ul>
<a name="addBackupsToBackupRequestBuffer-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBackupsToBackupRequestBuffer</h4>
<pre>protected abstract&nbsp;void&nbsp;addBackupsToBackupRequestBuffer(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                                        <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;backupSPB)
                                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Adds the backup source for the backup opration, depending on the manager used</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>backupSPB</code> - The buffer to be used during the backup operation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="addBackupsToRestoreRequestBuffer-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBackupsToRestoreRequestBuffer</h4>
<pre>protected abstract&nbsp;void&nbsp;addBackupsToRestoreRequestBuffer(<a href="../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&nbsp;service,
                                                         <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;restoreSPB)</pre>
<div class="block">Adds the backup files to be used during restore</div>
</li>
</ul>
<a name="verboseBackup--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>verboseBackup</h4>
<pre>protected abstract&nbsp;boolean&nbsp;verboseBackup()</pre>
<div class="block">Whether the backup will produce verbose output</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBBackupManagerBase.html" target="_top">Frames</a></li>
<li><a href="FBBackupManagerBase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
